/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.dom.customer;

import java.util.List;

import org.nakedobjects.applib.AbstractFactoryAndRepository;
import org.nakedobjects.applib.annotation.Exploration;
import org.nakedobjects.applib.annotation.Named;

@Named("Customers")
public class CustomerRepository extends AbstractFactoryAndRepository {

	// {{ Identification
	public String iconName() {
		return "Customer";
	}
	// }}
	
	// {{ Create new (still transient) Customer
	public Customer newCustomer() {
		Customer customer = newTransientInstance(Customer.class);
		return customer;
	}
	// }}
	
	// {{ all Customers
	@Exploration
	public List<Customer> allCustomers() {
		return allInstances(Customer.class);
	}
	// }}


	
}
